Update programme
Updates specific attributes of a programme. Only the fields included in the request body are modified; all other fields remain unchanged.
Path Parameters
- Type: stringprogramme
_id requiredUnique identifier of the programme.
Responses
- application/json
- application/json
- application/json
- application/json
Request Example for patch/apis/institutions/programmes/{programme_id}
curl https://school.fullfabric.cloud/apis/institutions/programmes/507f1f77bcf86cd799439011 \
--request PATCH \
--header 'FF-Auth: YOUR_SECRET_TOKEN'
{
"id": "6385baad976a771912000918",
"external_id": "MBA-FT-001-UPDATED",
"name": "MBA Full-Time",
"created_at": 1669708461,
"updated_at": 1776330784,
"theme": {
"id": "614d9b0a3b5d005eac000139",
"external_id": "101",
"name": "Finance"
},
"classes": []
}